# Storage tracking interactions

Every interaction of a block with the NxtFi storage is tracked within a file system. Whenever data is stored, modified, or deleted from the storage, a file is created with the timestamp of the transaction as its name. The content of this file is the actual hash of the block that executed the interaction. This ensures a complete and secure trace of the lifecycle of every piece of data.

## Obtain a list of the time stamps on which this file was stored/ modified

<mark style="color:blue;">`GET`</mark> `https://test-001-node.cloud.nxtfi.org/v2 /_trace/<scope>/<dirname>/<filename>/`

#### Query Parameters

| Name                                       | Type   | Description                |
| ------------------------------------------ | ------ | -------------------------- |
| scope<mark style="color:red;">\*</mark>    | String | scope were to query track  |
| filename<mark style="color:red;">\*</mark> | String | Path to file trace folder. |
| dirname                                    | String | folder-like prefix name    |

{% hint style="info" %}
Remember this calls should end with `'/'` as they point towards a list of interactions over the file.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nxtfi.org/api-reference/storage-tracking-interactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
